#ifndef INC_ACOMP

#define INC_ACOMP

struct sino_info{
 int    n_theta;
 int    n_t;
 double  delta_theta;
 double  delta_t;
 double  theta_0;
 double  t_0;
 int dec_a, dec_t;
 };

struct column{
 double *val;
 int *row;
 int n_row;
 double multiplier;
 };

struct column_flt{
 float *val;
 int *row;
 int n_row;
 double multiplier;
 };


struct geom_info{
 double delta;
 double x_0;
 double y_0;
 int n_y;
 int n_x;
 double dia;
 };

void pix_prof_comp(
 struct sino_info *sino,
 struct geom_info *geom,
 double ***pix_prof);

void A_comp(
 int im_row, int im_col,
 struct sino_info *sino,
 struct geom_info *geom,
 double **pix_prof,
 struct column *sp_col);

#endif
