#ifndef FR_PARAMEST_INC
#define FR_PARAMEST_INC

#include "fr_icm.h"
#include "../ansi_lib_loc/A_comp.h"
#include "../ansi_lib_loc/allocate.h"
#include "../ansi_lib_loc/assort.h"
#include "../ansi_lib_loc/multigrid.h"
#include "../ansi_lib_loc/randlib.h"
#include <stdio.h>
#include <math.h>



#define PN 5


double parameter_estimation(struct all_data *data, struct geom_info *geom, double **profiles, struct cmdline_params *cmdline, struct column *sp_col, double P);
double enter_parameter(struct all_data *data, struct geom_info *geom,struct cmdline_params *cmdline, double P);
double relax_param(struct all_data *data,double *S,struct geom_info *geom, double **profiles, struct cmdline_params *cmdline,struct column *sp_col,double P,double SX);
double H_Metropolis(struct ICMdata *ICMdata,double mm); 
double extrapolate_sigma(double *x, double *y, double SX, double SXold,struct all_data *data, double P, int count);
double proj(double *x, double *y, int n);

#endif
